Bug 114209 - Problems with rendering vertical text in charts - no anti-aliasing when OpenGL is enabled
Summary: Problems with rendering vertical text in charts - no anti-aliasing when OpenG...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.4.3.2 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.3.0 target:6.2.5
Keywords:
Depends on:
Blocks: VCL-OpenGL
  Show dependency treegraph
 
Reported: 2017-12-02 16:13 UTC by einolaasonen7
Modified: 2019-05-08 08:05 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Problematic vertical text in chart (14.50 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-12-02 16:40 UTC, Mike Kaganski
Details
Screenshot comparison between 5.4 and 6.0 (106.13 KB, application/vnd.oasis.opendocument.graphics)
2017-12-03 00:38 UTC, m.a.riosv
Details
Old GL rendering. (109.31 KB, image/png)
2019-04-30 15:45 UTC, Miklos Vajna
Details
Non-GL rendering. (106.30 KB, image/png)
2019-04-30 15:45 UTC, Miklos Vajna
Details
New GL rendering. (112.95 KB, image/png)
2019-04-30 15:46 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description einolaasonen7 2017-12-02 16:13:13 UTC
Description:
Vertical text on Y axis becomes almost unreadable, like it has no anti-aliasing at all.

This problem occurs only when OpenGL is enabled in Calc. It can also been seen when exported as a PNG file. When opening a .odc file in "LibreOffice Chart" there are no issues.

I've faced this issue also on branch 5.3.x. Might be persistent in earlier versions as well. OS is Windows 10.

Steps to Reproduce:
1. Create a chart from data in LO Calc
2. Add a title to Y axis
3. Accept changes

Actual Results:  
Text on Y axis is almost unreadable, no antialiasing is applied.

Expected Results:
Text should be readable.


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Please see the initial report:
https://ask.libreoffice.org/en/question/139601/problems-with-rendering-vertical-text-in-charts-unreadable-text-with-no-anti-aliasing/


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Mike Kaganski 2017-12-02 16:40:17 UTC
Created attachment 138179 [details]
Problematic vertical text in chart

Reproducible with Version: 6.1.0.0.alpha0+ (x64)
Build ID: dccfe8765c25caf8485e659711a6df6c43ed63a9
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
Locale: ru-RU (ru_RU); Calc: CL
Comment 2 m.a.riosv 2017-12-03 00:38:01 UTC
Created attachment 138185 [details]
Screenshot comparison between 5.4 and 6.0

For me the issue it's on 5.4 with OpenGL, but seems fine enought on 6.0 and 6.1 both with OpenGL.

OpenGL log on 6.0
DriverVersion: 21.20.16.4550
DriverDate: 11-11-2016
DeviceID: PCI\VEN_8086&DEV_5916&SUBSYS_380117AA&REV_02
AdapterVendorID: 0x8086
AdapterDeviceID: 0x5916
AdapterSubsysID: 0x380117aa
DeviceKey: System\CurrentControlSet\Control\Video\{8CD6695F-B514-11E7-B258-B5AD865BD680}\0000
DeviceString: Intel(R) HD Graphics 620
Comment 3 QA Administrators 2018-12-04 03:47:46 UTC Comment hidden (obsolete)
Comment 4 Mike Kaganski 2019-02-28 06:23:11 UTC
Still reproducible with Version: 6.2.1.1 (x64)
Build ID: 757c58e8cb70b2982843211a54750fb3cd79acd5
CPU threads: 12; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded
Comment 5 Miklos Vajna 2019-04-29 08:55:06 UTC
I can reproduce this, I'll take a look.

Let's see if this is about DirectWrite is not used for vertical text or something else.
Comment 6 Miklos Vajna 2019-04-30 15:45:25 UTC
Created attachment 151097 [details]
Old GL rendering.

I'm adding old GL / no-GL / new GL screenshots just to show the fix in action.
Comment 7 Miklos Vajna 2019-04-30 15:45:43 UTC
Created attachment 151098 [details]
Non-GL rendering.
Comment 8 Miklos Vajna 2019-04-30 15:46:00 UTC
Created attachment 151099 [details]
New GL rendering.
Comment 9 Commit Notification 2019-04-30 19:57:53 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f7453b956bcf83ec13c805d243f20cb209289179%5E%21

tdf#114209 vcl win DirectWrite: handle rotated text

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2019-05-06 16:59:05 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/e9813126b7648b735d2231a703190ee48b8bbe42%5E%21

Related: tdf#114209 vcl DirectWrite rotation: don't truncate to int degrees

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2019-05-08 08:04:36 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/3a3032f560269118dcf6705ea8cc127a4418b348%5E%21

tdf#114209 vcl win DirectWrite: handle rotated text

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-05-08 08:05:58 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/d1eede74b04dd12861b0e2a44c5e89d3c34260c5%5E%21

Related: tdf#114209 vcl DirectWrite rotation: don't truncate to int degrees

It will be available in 6.2.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.